FROM node:latest AS build
ADD . /app
WORKDIR /app
RUN npm install && npm run build

FROM nginx:stable
COPY --from=build /app/dist /usr/share/nginx/html
ADD nginx-site.conf /etc/nginx/conf.d/default.conf